https://gitlab.gnome.org/GNOME/gnome-desktop/-/merge_requests/138

From a9ad6e704f9fead5748c2a9697990b01e91b9de0 Mon Sep 17 00:00:00 2001
From: Matt Turner <mattst88@gmail.com>
Date: Sun, 20 Mar 2022 18:07:17 -0700
Subject: [PATCH 1/2] meson: Fix build_gtk4 option

---
 libgnome-desktop/meson.build | 134 +++++++++++++++++------------------
 1 file changed, 67 insertions(+), 67 deletions(-)

diff --git a/libgnome-desktop/meson.build b/libgnome-desktop/meson.build
index e81530ed..a0fb11f8 100644
--- a/libgnome-desktop/meson.build
+++ b/libgnome-desktop/meson.build
@@ -86,79 +86,79 @@ libgnome_desktop_base_headers = [
   'gnome-xkb-info.h',
 ]
 
-install_headers(libgnome_desktop_base_headers,
-  subdir: 'gnome-desktop-4.0/libgnome-desktop'
-)
+if get_option('build_gtk4')
+  install_headers(libgnome_desktop_base_headers,
+    subdir: 'gnome-desktop-4.0/libgnome-desktop'
+  )
 
-base_deps = [
-  gdk_pixbuf_dep,
-  glib_dep,
-  gio_dep,
-  gio_unix_dep,
-  libsystemd_dep,
-  schemas_dep,
-  xkb_config_dep,
-  xkbregistry_dep,
-  iso_codes_dep,
-  udev_dep,
-  seccomp_dep,
-  m_dep,
-  rt_dep,
-]
+  base_deps = [
+    gdk_pixbuf_dep,
+    glib_dep,
+    gio_dep,
+    gio_unix_dep,
+    libsystemd_dep,
+    schemas_dep,
+    xkb_config_dep,
+    xkbregistry_dep,
+    iso_codes_dep,
+    udev_dep,
+    seccomp_dep,
+    m_dep,
+    rt_dep,
+  ]
 
-libgnome_desktop_base = library('gnome-desktop-4',
-  sources: [
-    libgnome_desktop_base_sources,
-    libgnome_desktop_base_private_sources,
-    dbus_idle_built_sources,
-  ],
-  dependencies: base_deps,
-  soversion: soversion,
-  version: libversion,
-  c_args: libargs,
-  link_args: base_ldflags,
-  install: true,
-  include_directories: [
-    include_directories('.'),
-    include_directories('..'),
-  ],
-)
+  libgnome_desktop_base = library('gnome-desktop-4',
+    sources: [
+      libgnome_desktop_base_sources,
+      libgnome_desktop_base_private_sources,
+      dbus_idle_built_sources,
+    ],
+    dependencies: base_deps,
+    soversion: soversion,
+    version: libversion,
+    c_args: libargs,
+    link_args: base_ldflags,
+    install: true,
+    include_directories: [
+      include_directories('.'),
+      include_directories('..'),
+    ],
+  )
 
-libgnome_desktop_base_gir = gnome.generate_gir(libgnome_desktop_base,
-  sources: [libgnome_desktop_base_headers, libgnome_desktop_base_sources],
-  export_packages: 'gnome-desktop-4',
-  namespace: 'GnomeDesktop',
-  nsversion: '4.0',
-  includes: ['GObject-2.0', 'Gio-2.0', 'GDesktopEnums-3.0', 'GdkPixbuf-2.0'],
-  extra_args: ['-DGNOME_DESKTOP_USE_UNSTABLE_API', '--quiet', '--warn-all'],
-  identifier_prefix: 'Gnome',
-  symbol_prefix: 'gnome',
-  install: true,
-)
+  libgnome_desktop_base_gir = gnome.generate_gir(libgnome_desktop_base,
+    sources: [libgnome_desktop_base_headers, libgnome_desktop_base_sources],
+    export_packages: 'gnome-desktop-4',
+    namespace: 'GnomeDesktop',
+    nsversion: '4.0',
+    includes: ['GObject-2.0', 'Gio-2.0', 'GDesktopEnums-3.0', 'GdkPixbuf-2.0'],
+    extra_args: ['-DGNOME_DESKTOP_USE_UNSTABLE_API', '--quiet', '--warn-all'],
+    identifier_prefix: 'Gnome',
+    symbol_prefix: 'gnome',
+    install: true,
+  )
 
-pkg.generate(
-  libgnome_desktop_base,
-  requires: ['gsettings-desktop-schemas'],
-  version: meson.project_version(),
-  name: 'gnome-desktop-4',
-  filebase: 'gnome-desktop-4',
-  description: 'Utility library for GNOME desktop components',
-  subdirs: 'gnome-desktop-4.0',
-)
+  pkg.generate(
+    libgnome_desktop_base,
+    requires: ['gsettings-desktop-schemas'],
+    version: meson.project_version(),
+    name: 'gnome-desktop-4',
+    filebase: 'gnome-desktop-4',
+    description: 'Utility library for GNOME desktop components',
+    subdirs: 'gnome-desktop-4.0',
+  )
 
-libgnome_desktop_base_dep = declare_dependency(
-  sources: [
-    libgnome_desktop_base_gir,
-  ],
-  dependencies: base_deps,
-  link_with: libgnome_desktop_base,
-  include_directories: [
-    include_directories('.'),
-    include_directories('..'),
-  ],
-)
+  libgnome_desktop_base_dep = declare_dependency(
+    sources: [
+      libgnome_desktop_base_gir,
+    ],
+    dependencies: base_deps,
+    link_with: libgnome_desktop_base,
+    include_directories: [
+      include_directories('.'),
+      include_directories('..'),
+    ],
+  )
 
-if gtk4_dep.found()
   subdir('gnome-bg')
   subdir('gnome-rr')
 endif
-- 
2.34.1

